Bug 494066 - Cobbler 1.6 and Spacewalk are incompatible
Cobbler 1.6 and Spacewalk are incompatible
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-04-03 19:59 EDT by Mike McCune
Modified: 2009-09-17 03:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 494908 (view as bug list)
Environment:
Last Closed: 2009-09-17 03:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-04-03 19:59:43 EDT
We get massive stacktraces when we try to create kickstart profiles in Spacewalk with 0.5 and Cobbler 1.6.

This requires a change on both sides:

Cobbler:

http://tinyurl.com/cyvkyg

Spacewalk:

Removal of \n from returned strings:

diff --git a/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java b/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java
index 5510ba1..63539f2 100644
--- a/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java
+++ b/java/code/src/com/redhat/rhn/manager/kickstart/cobbler/CobblerXMLRPCHelper.java
@@ -71,9 +71,6 @@ public class CobblerXMLRPCHelper implements XMLRPCInvoker {
         catch (XmlRpcException e) {
             throw new RuntimeException("XmlRpcException calling cobbler.", e);
         } 
-        if (retval instanceof String) {
-            retval = retval + "\n";
-        }
         return retval;
     }
     
diff --git a/java/code/src/org/cobbler/CobblerConnection.java b/java/code/src/org/cobbler/CobblerConnection.java
index 51d4300..8ec8b74 100644
--- a/java/code/src/org/cobbler/CobblerConnection.java
+++ b/java/code/src/org/cobbler/CobblerConnection.java
@@ -115,18 +115,14 @@ public class CobblerConnection {
      * @return Object returned.
      */
     private Object invokeMethod(String procedureName, List args) {
-        log.debug("procedure: " + procedureName + " Orig ags: " + args);
+        log.debug("procedure: " + procedureName + " ags: " + args);
         Object retval;
         try {
-            log.debug("args array: " + args);
             retval = client.invoke(procedureName, args);
         } 
         catch (Exception e) {
             throw new XmlRpcException("XmlRpcException calling cobbler.", e);
         } 
-        if (retval instanceof String) {
-            retval = retval + "\n";
-        }
         return retval;
     }
Comment 1 Jesus M. Rodriguez 2009-04-14 10:13:40 EDT
Spacewalk 0.5 released.
Comment 2 Miroslav Suchý 2009-09-17 03:11:22 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.